org.eclipse.eef

## Interface EEFToolbarAction

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFToolbarActionImpl

    public interface EEFToolbarAction
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Toolbar Action'.

The following features are supported:

- `Tooltip Expression`
- `Image Expression`
- `Action Expression`

See Also:
  `EefPackage.getEEFToolbarAction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getActionExpression()` Returns the value of the 'Action Expression' attribute.
`java.lang.String` `getImageExpression()` Returns the value of the 'Image Expression' attribute.
`java.lang.String` `getTooltipExpression()` Returns the value of the 'Tooltip Expression' attribute.
`void` `setActionExpression(java.lang.String value)` Sets the value of the '`Action Expression`' attribute.
`void` `setImageExpression(java.lang.String value)` Sets the value of the '`Image Expression`' attribute.
`void` `setTooltipExpression(java.lang.String value)` Sets the value of the '`Tooltip Expression`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getTooltipExpression

    java.lang.String getTooltipExpression()

Returns the value of the 'Tooltip Expression' attribute. The tooltip of the action visible by the end-users.

Returns:
  the value of the 'Tooltip Expression' attribute.
See Also:
  `setTooltipExpression(String)`, `EefPackage.getEEFToolbarAction_TooltipExpression()`

#### setTooltipExpression

    void setTooltipExpression(java.lang.String value)

Sets the value of the '`Tooltip Expression`' attribute.

Parameters:
  `value` - the new value of the 'Tooltip Expression' attribute.
See Also:
  `getTooltipExpression()`

#### getImageExpression

    java.lang.String getImageExpression()

Returns the value of the 'Image Expression' attribute. The image of the action visible by the end-users.

Returns:
  the value of the 'Image Expression' attribute.
See Also:
  `setImageExpression(String)`, `EefPackage.getEEFToolbarAction_ImageExpression()`

#### setImageExpression

    void setImageExpression(java.lang.String value)

Sets the value of the '`Image Expression`' attribute.

Parameters:
  `value` - the new value of the 'Image Expression' attribute.
See Also:
  `getImageExpression()`

#### getActionExpression

    java.lang.String getActionExpression()

Returns the value of the 'Action Expression' attribute. The behavior of the action.

Returns:
  the value of the 'Action Expression' attribute.
See Also:
  `setActionExpression(String)`, `EefPackage.getEEFToolbarAction_ActionExpression()`

#### setActionExpression

    void setActionExpression(java.lang.String value)

Sets the value of the '`Action Expression`' attribute.

Parameters:
  `value` - the new value of the 'Action Expression' attribute.
See Also:
  `getActionExpression()`